org.apache.fop.fonts

## Interface FontConfig.FontConfigParser

- All Known Implementing Classes:
    DefaultFontConfig.DefaultFontConfigParser
  Enclosing interface:
    FontConfig

      public static interface FontConfig.FontConfigParser

  An interface for parsing font configuration information.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FontConfig` | `parse(Configuration cfg, FontManager fontManager, boolean strict, EventProducer eventProducer)` Parse the font configuration and return an object containing all the necessary data.

- - ### Method Detail

    - #### parse

          FontConfig parse(Configuration cfg,
                           FontManager fontManager,
                           boolean strict,
                           EventProducer eventProducer)
                    throws FOPException

      Parse the font configuration and return an object containing all the necessary data.
      Parameters:
        `cfg` - the configuration object
        `fontManager` - the font manager
        `strict` - whether or not to enforce strict validation
        `eventProducer` - the event producer for handling font events
      Returns:
        the configuration object
      Throws:
        `FOPException` - if an error occurs creating the font configuration object

Copyright © 2023 Apache Software Foundation. All rights reserved.